# Skip pytests example directory
[pytest]

asyncio_mode = auto
asyncio_default_fixture_loop_scope = module

# NEEDS_EXABGP_4_2_11_FRR

# asyncio_mode = auto

# We always turn this on inside conftest.py, default shown
# addopts = --junitxml=<rundir>/topotests.xml

# This affects what gets dumped to the screen on test failure
log_level = ERROR
log_format = %(asctime)s,%(msecs)03d %(levelname)s: %(name)s: %(message)s
log_date_format = %Y-%m-%d %H:%M:%S

# If verbose is specifyied log_cli will be set to 1, it can also be specified
# here or on the CLI.
# log_cli = 1
log_cli_level = INFO
log_cli_format = %(asctime)s,%(msecs)03d %(levelname)s: %(name)s: %(message)s
log_cli_date_format = %Y-%m-%d %H:%M:%S

# By default this is palced in <rundir>/exec.log
# log_file = <rundir>/exec.log
log_file_level = DEBUG
log_file_format = %(asctime)s,%(msecs)03d %(levelname)s: %(name)s: %(message)s
log_file_date_format = %Y-%m-%d %H:%M:%S

junit_logging = all
junit_log_passing_tests = true

norecursedirs = .git example_munet example_test example_topojson_test lib munet docker high_ecmp

# Directory to store test results and run logs in, default shown
# rundir = /tmp/topotests

# Markers
#
# Please consult the documentation and discuss with TSC members before applying
# any changes to this list.
markers =
	babeld: Tests that run against BABELD
	bfdd: Tests that run against BFDD
	bgpd: Tests that run against BGPD
	eigrpd: Tests that run against EIGRPD
	fpm: Tests that run against the FPM
	isisd: Tests that run against ISISD
	ldpd: Tests that run against LDPD
	mgmtd: Tests that run against MGMTD
	nhrpd: Tests that run against NHRPD
	ospf6d: Tests that run against OSPF6D
	ospfd: Tests that run against OSPFD
	pathd: Tests that run against PATHD
	pbrd: Tests that run against PBRD
	pimd: Tests that run against PIMD
	pim6d: Tests that run against PIM6D
	ripd: Tests that run against RIPD
	ripngd: Tests that run against RIPNGD
	sharpd: Tests that run against SHARPD
	staticd: Tests that run against STATICD
	vrrpd: Tests that run against VRRPD
	snmp: Tests that run against snmp changes

[topogen]
# Default configuration values
#
# 'verbosity' controls how much data the underline systems will use to
# provide output (e.g. mininet output, test debug output etc...). The
# value is 'info', but can be changed to 'debug' to provide more details.
#verbosity = info

# Save logs to log file, by default logs will be displayed to console
#frrtest_log_dir = /tmp/topotests/

# Display router current configuration during test execution,
# by default configuration will not be shown
# show_router_config = True

# Default daemons binaries path.
#frrdir = /usr/lib/frr

# Default router type to use. Possible values are:
# 'frr'
#routertype = frr

# Memory leak test reports path
# Enables and add an output path to memory leak tests.
# Example:
# memleak_path = /tmp/memleak_
# Output files will be named after the testname:
# /tmp/memleak_test_ospf_topo1.txt
